Package com.io7m.cedarbridge.runtime.api

# Class CBCore

java.lang.Object
com.io7m.cedarbridge.runtime.api.CBCore

public final class CBCore extends Object
Convenience functions intended to be statically imported.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CBFloat16`
  `float16(double x)`
  Construct a Float16.
  `static CBFloat32`
  `float32(double x)`
  Construct a Float32.
  `static CBFloat64`
  `float64(double x)`
  Construct a Float64.
  `static CBIntegerSigned16`
  `signed16(int x)`
  Construct an IntegerSigned16.
  `static CBIntegerSigned16`
  `signed16(long x)`
  Construct an IntegerSigned16.
  `static CBIntegerSigned32`
  `signed32(int x)`
  Construct an IntegerSigned32.
  `static CBIntegerSigned32`
  `signed32(long x)`
  Construct an IntegerSigned32.
  `static CBIntegerSigned64`
  `signed64(long x)`
  Construct an IntegerSigned64.
  `static CBIntegerSigned8`
  `signed8(int x)`
  Construct an IntegerSigned8.
  `static CBIntegerSigned8`
  `signed8(long x)`
  Construct an IntegerSigned8.
  `static CBString`
  `string(String x)`
  Construct a String.
  `static CBIntegerUnsigned16`
  `unsigned16(int x)`
  Construct an IntegerUnsigned16.
  `static CBIntegerUnsigned16`
  `unsigned16(long x)`
  Construct an IntegerUnsigned16.
  `static CBIntegerUnsigned32`
  `unsigned32(int x)`
  Construct an IntegerUnsigned32.
  `static CBIntegerUnsigned32`
  `unsigned32(long x)`
  Construct an IntegerUnsigned32.
  `static CBIntegerUnsigned64`
  `unsigned64(long x)`
  Construct an IntegerUnsigned64.
  `static CBIntegerUnsigned8`
  `unsigned8(int x)`
  Construct an IntegerUnsigned8.
  `static CBIntegerUnsigned8`
  `unsigned8(long x)`
  Construct an IntegerUnsigned8.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### float16

    public static CBFloat16 float16(double x)
    Construct a Float16.
    Parameters:
      `x` - The value
    Returns:
      A value

  - ### float32

    public static CBFloat32 float32(double x)
    Construct a Float32.
    Parameters:
      `x` - The value
    Returns:
      A value

  - ### float64

    public static CBFloat64 float64(double x)
    Construct a Float64.
    Parameters:
      `x` - The value
    Returns:
      A value

  - ### unsigned64

    public static CBIntegerUnsigned64 unsigned64(long x)
    Construct an IntegerUnsigned64.
    Parameters:
      `x` - The value
    Returns:
      A value

  - ### unsigned32

    public static CBIntegerUnsigned32 unsigned32(long x)
    Construct an IntegerUnsigned32.
    Parameters:
      `x` - The value
    Returns:
      A value

  - ### unsigned32

    public static CBIntegerUnsigned32 unsigned32(int x)
    Construct an IntegerUnsigned32.
    Parameters:
      `x` - The value
    Returns:
      A value

  - ### unsigned16

    public static CBIntegerUnsigned16 unsigned16(long x)
    Construct an IntegerUnsigned16.
    Parameters:
      `x` - The value
    Returns:
      A value

  - ### unsigned16

    public static CBIntegerUnsigned16 unsigned16(int x)
    Construct an IntegerUnsigned16.
    Parameters:
      `x` - The value
    Returns:
      A value

  - ### unsigned8

    public static CBIntegerUnsigned8 unsigned8(long x)
    Construct an IntegerUnsigned8.
    Parameters:
      `x` - The value
    Returns:
      A value

  - ### unsigned8

    public static CBIntegerUnsigned8 unsigned8(int x)
    Construct an IntegerUnsigned8.
    Parameters:
      `x` - The value
    Returns:
      A value

  - ### signed64

    public static CBIntegerSigned64 signed64(long x)
    Construct an IntegerSigned64.
    Parameters:
      `x` - The value
    Returns:
      A value

  - ### signed32

    public static CBIntegerSigned32 signed32(long x)
    Construct an IntegerSigned32.
    Parameters:
      `x` - The value
    Returns:
      A value

  - ### signed32

    public static CBIntegerSigned32 signed32(int x)
    Construct an IntegerSigned32.
    Parameters:
      `x` - The value
    Returns:
      A value

  - ### signed16

    public static CBIntegerSigned16 signed16(long x)
    Construct an IntegerSigned16.
    Parameters:
      `x` - The value
    Returns:
      A value

  - ### signed16

    public static CBIntegerSigned16 signed16(int x)
    Construct an IntegerSigned16.
    Parameters:
      `x` - The value
    Returns:
      A value

  - ### signed8

    public static CBIntegerSigned8 signed8(long x)
    Construct an IntegerSigned8.
    Parameters:
      `x` - The value
    Returns:
      A value

  - ### signed8

    public static CBIntegerSigned8 signed8(int x)
    Construct an IntegerSigned8.
    Parameters:
      `x` - The value
    Returns:
      A value

  - ### string

    public static CBString string(String x)
    Construct a String.
    Parameters:
      `x` - The value
    Returns:
      A value